using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WindowsApplication4
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.InitLayoutTree2();
        }

        private void InitLayoutTree2()
        {
            TreeList treeList = new TreeList();
            TreeListItem item = new TreeListItem("Overview Window");
            treeList.Add(item);
            item.TreeListSubItems.Add(new TreeListSubItem("Overview 1"));
            item.TreeListSubItems.Add(new TreeListSubItem("Overview 2"));
            item.TreeListSubItems.Add(new TreeListSubItem("Overview 3"));

            treeListBindingSource.DataSource = treeList;
        }
    }

    public class TreeList : BindingList<TreeListItem>
    {
    }

    public class TreeListItem
    {
        private string _name;
        private BindingList<TreeListSubItem> _treeListSubItems = new BindingList<TreeListSubItem>();
        public TreeListItem(string itemName)
        {
            _name = itemName;
        }

        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }
        public BindingList<TreeListSubItem> TreeListSubItems
        {
            get { return _treeListSubItems; }
            set { _treeListSubItems = value; }
        }
    }

    public class TreeListSubItem
    {
        private string _name;
        public TreeListSubItem(string subItemName)
        {
            Name = subItemName;
        }

        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }
    }
}